# PVC Component Deprecations
# --------------------------
#
# All component deprecations for PVC must be listed here, and must have valid configurations.
# See 'docs/contributors/deprecations.md' for information on configuration options.

deprecations:
  - component: "Primer::Alpha::NavList::Divider"
    autocorrect: true
    replacement: "Primer::Beta::NavList::Divider"

  - component: "Primer::Alpha::NavList::Item"
    autocorrect: true
    replacement: "Primer::Beta::NavList::Item"

  - component: "Primer::Alpha::NavList::Heading"
    autocorrect: true
    replacement: "Primer::Beta::NavList::Heading"

  - component: "Primer::Alpha::NavList::Group"
    autocorrect: true
    replacement: "Primer::Beta::NavList::Group"

  - component: "Primer::Alpha::NavList"
    autocorrect: true
    replacement: "Primer::Beta::NavList"

  - component: "Primer::Alpha::AutoComplete"
    autocorrect: true
    replacement: "Primer::Beta::AutoComplete"

  - component: "Primer::Alpha::AutoComplete::Item"
    autocorrect: true
    replacement: "Primer::Beta::AutoComplete::Item"

  - component: "Primer::Beta::Flash"
    autocorrect: false
    replacement: "Primer::Alpha::Banner"
    guide: "https://primer.style/components/banner/rails/alpha"

  - component: "Primer::BlankslateComponent"
    autocorrect: true
    replacement: "Primer::Beta::Blankslate"

  - component: "Primer::ButtonComponent"
    autocorrect: false
    replacement: "Primer::Beta::Button"
    guide: "https://primer.style/guides/rails/migration-guides/primer-button-component"

  - component: "Primer::IconButton"
    autocorrect: true
    replacement: "Primer::Beta::IconButton"

  - component: "Primer::LayoutComponent"
    autocorrect: false
    replacement: "Primer::Alpha::Layout"
    guide: "https://primer.style/guides/rails/migration-guides/primer-layout-component"

  - component: "Primer::Navigation::TabComponent"
    autocorrect: true
    replacement: "Primer::Alpha::Navigation::Tab"

  - component: "Primer::Tooltip"
    autocorrect: true
    replacement: "Primer::Alpha::Tooltip"

  - component: "Primer::Truncate"
    autocorrect: false
    replacement: "Primer::Beta::Truncate"
    guide: "https://primer.style/guides/rails/migration-guides/primer-truncate"
